---
- name: Add authorized keys
  ansible.posix.authorized_key:
    user: "{{ ansible_user }}"
    state: present
    key: "{{ item }}"
  with_items: "{{ system_security_authorizedkeys }}"
  tags:
    - setup-all
    - security-ssh
    - rotate-ssh-keys

- name: Revoke authorized keys
  ansible.posix.authorized_key:
    user: "{{ ansible_user }}"
    state: absent
    key: "{{ item }}"
  with_items: "{{ system_security_notauthorizedkeys }}"
  tags:
    - setup-all
    - security-ssh
    - rotate-ssh-keys

- name: Enforce sshd config
  ansible.builtin.template:
    src: etc/ssh/sshd_config.j2
    dest: /etc/ssh/sshd_config
    mode: 0644
    owner: root
    group: root
  notify: Reload sshd
